package org.jharks.workflow.survey.engine.dao;

import org.jharks.workflow.survey.engine.cache.WorkFlowResourceBundleCacheKey;
import org.jharks.workflow.survey.util.CustomDbResourceBundle;

public interface WorkFlowResourceBundleDao {

	/**
	 * Retrieve <code>WorkFlowResourceBundle</code> or return null if can not find matching bundle for the
	 * passed key.
	 * @param resourceBundleKey the unique that represents the WorkFlowResource bundle in the "WORKFLOW_RESOURCE_BUNDLE" table. 
	 * @return the <code>WorkFlowResourceBundle</code> instance.
	 */
	public CustomDbResourceBundle getWorkFlowResourceBundle(WorkFlowResourceBundleCacheKey resourceBundleKey);
	
}
