/**
 * 
 */
package org.jharks.workflow.survey.engine.exception;

/**
 * @author ch106855
 *
 */
public class SurveyBaseException extends RuntimeException {

	 private static final long serialVersionUID = 1L;
	
	 /**
	  * Constructs a new base exception with the supplied message.
	  * @param message the exception message.
	  */
	 public SurveyBaseException(String message) {
		 super(message);
	 }
	 
	 /**
	  * Constructs a base exception with a specified string of information
	  * and an original cause exception.
	  * 
	  * @param message the additional error information to specify.
	  * @param cause an exception which caused the failure, if any.
	  */
	 public SurveyBaseException(String message, Throwable cause) {
		 super(message, cause);
	 }
	 
	 /**
	  * Returns a message that includes details from all nested messages.
	  * @return the message with included nested message details.
	  */
	 public String retrieveNestedExceptionMessages() {
		 StringBuffer sb = new StringBuffer();
		 sb.append(this.getMessage());
		 Throwable parentCause = this;
		 Throwable childCause;
		 while ((childCause = parentCause.getCause()) != null) {
			sb.append(" : nested message [ ");
				sb.append(childCause.getMessage())
				  .append(" ]");
		   parentCause = childCause;
		 }
		 return sb.toString();
	 }
	 
}
