package org.jharks.workflow.survey.engine.gui.taglib;

public class PresentationConstants {

	/**
	 * The constant for an Error Forward
	 */
	public static final String ERROR_FORWARD = "error";
	
    /**
     * The constant used for the actual qality measure record id.
     */
    public static final String SURVEY_ID = "survey_id";
    
    /**
     * The constant used for the flow path.
     */
    public static final String FLOW_PATH = "flow_path";
   
    /**
     * The constant used to indicate page.
     */
    public static final String PAGE = "page"; 
    
    /**
     * The constant used to indicate a question group.
     */
    public static final String QUESTION_GROUP = "question_group";
    
    /**
     * The constant used to indicate a question group id (the name to be used for question group identification or
     * form name within web pages.
     */
    public static final String QUESTION_GROUP_ID = "formName";
    
    /**
     * The constant used to indicate state.
     */
    public static final String STATE = "state"; 
    
    /**
     * The constant used to indicate whether starting a workflow.
     */
    public static final String START_WORKFLOW_INDICATOR = "start_workflow";
    
	/**
     * The constant used for survey start key - core measure key.
	 */
	public static final String SURVEY_START_KEY = "start_date_key";
    
	/**
     * The constant used for current core data group.
	 */
	public static final String CURRENT_DATA_GROUP = "current_data_group";
    
    /**
     * The constant used for current core data group.
     */
    public static final String WORKFLOW_CONTEXT = "flowContext";
    
    /**
     * The constant used for the request parameter to determine whether workflow definition is file reource based or not.
     */
    public static final String WORKFLOW_FILE_RESOURCE = "fileResource";
    
    /**
     * The constant used for the request parameter to determine whether workflow resource bundles are backed by a DB.
     */
    public static final String WORKFLOW_RESOURCES_DB_BASED = "dbResourceBundles";
    
    /**
     * The constant used for the request parameter to determine which workflow definition should be utilized or is currently being followed. 
     */
    public static final String WORKFLOW_DEFINITION_FILE = "workflowDefinitionFile";
    
    /**
     * The constant used for the request parameter workFlowKeyLabel, the key label the workflow is defined by and stored within registries. 
     */
    public static final String WORKFLOW_KEY_LABEL = "workflowKeyLabel";
    
    /** 
     * Indicates a jharks workflow end state has been encountered and the string for WORKFLOW_END_VIEW is
     * returned as the view name.
     */
    public static final String WORKFLOW_END_VIEW = "jharksWorkflowEndView";
    
    /**
     * The constant for user name of user logged in.
     */
    public static final String USER_NAME = "user_name";
    
    /** 
     * The constant used for the save session shistory snapshots indicator.
     */
    public static final String SAVE_SESSION_HISTORY_PARAM = "saveSnapshots";
    
    /** 
     * The constant used for the survey page xml data.
     */
    public static final String SURVEY_PAGE_XML_DATA = "surveyXml";
    
    /** 
     * The constant used for allow back navigation indicator.
     */
    public static final String IS_BACK_NAV_ALLOWED = "isBackNavAllowed";
    
    /**
     * The constant used to indicate wheter the request is a continuation of the workflow in the forward direction.
     */
    public static final String IS_FORWARD = "isForward";
    
    /**
     * The user preferences for a logged in user.
     */
    public static final String USER_PREFERENCES = "userPreferences";
    
    /**
     * The constant of the name for the default resource bundle within the 
     * database backed resource repository. 
     */
    public static final String DEFAULT_RESOURCE_BUNDLE_NAME = "JHARKS-DEFAULT";
}
