package org.jharks.workflow.survey.engine.model;

import java.io.Serializable;

/**
 * Class that encapsulates configuration data for a question group.
 * 
 * @author Michael J. Rizzo
 *
 */
public class QuestionGroupConfiguration implements Serializable {

    private static final long serialVersionUID = 1L;
    
    /** Question group name. */
    private String questionGroupName;
    
    /** Number of questions defined within a set. */
    private int numberOfQuestion;

    /**
     * Returns the number of questions configured for the group (db based).
     * 
     * @return the number of questions within the group.
     */
    public int getNumberOfQuestion() {
        return numberOfQuestion;
    }

    /**
     * Set the number of questions in the group.
     * 
     * @param numberOfQuestion the number of questions to set.
     */
    public void setNumberOfQuestion(int numberOfQuestion) {
        this.numberOfQuestion = numberOfQuestion;
    }

    /**
     * Return the name of the question group.
     * 
     * @return the question group name.
     */
    public String getQuestionGroupName() {
        return questionGroupName;
    }

    /**
     * Sets the name of the question group.
     * 
     * @param questionGroupName the question group name to set.
     */
    public void setQuestionGroupName(String questionGroupName) {
        this.questionGroupName = questionGroupName;
    }
}
