package org.jharks.workflow.survey.engine.service;

import java.util.ResourceBundle;

public interface WorkFlowResourceBundleService {

	/**
	 * Retrieve <code>WorkFlowResourceBundle</code>
	 * @param baseName the name of WorkFlowResource bundle, corresponds to "BUNDLE" column in "WORKFLOW_RESOURCE_BUNDLE" 
	 * @return the <code>WorkFlowResourceBundle</code> instance.
	 */
	public ResourceBundle getWorkFlowResourceBundle(String baseName);
	
	/**
	 * Set the defalt country code for WorkFlowResourceBundle retreival from the relational data store.
	 * @param countryCode the default country code.
	 */
	public void setDefaultCountryCode(String countryCode);
	
	/**
	 * Set the default language code for the WorkFlowResourceBundle retrieval from the relational data store.
	 * @param languageCode the default language code.
	 */
	public void setDefaultLanguageCode(String languageCode);
	
	/**
	 * Set the default variant code for the WorkFlowResourceBundle retrieval from the relational data store.
	 * @param variantCode the default variant code.
	 */
	public void setDefaultVariantCode(String variantCode);
}
