package org.jharks.workflow.survey.engine.service.impl;

import java.sql.SQLException;
import java.util.List;

import org.jharks.workflow.SessionHistory;
import org.jharks.workflow.survey.engine.dao.SurveyResponsePersistenceDao;
import org.jharks.workflow.survey.engine.model.Survey;
import org.jharks.workflow.survey.engine.model.SurveyStatus;
import org.jharks.workflow.survey.engine.service.SurveyPersistenceManager;

public class SurveyPersistenceManagerImpl implements SurveyPersistenceManager {

	/** The injected or set survey persistence dao instance. */
	private SurveyResponsePersistenceDao surveyPersistenceDao;
	
	/**
	 * Injection setter for survey persistence dao.
	 * @param surveyPersistenceDao the survey persistence dao.
	 */
	public void setSurveyPersistenceDao(
			SurveyResponsePersistenceDao surveyPersistenceDao) {
		this.surveyPersistenceDao = surveyPersistenceDao;
	}
	
	/**
	 * {@inheritDoc}
	 * @deprecated
	 */
	public Long createSurvey(String userName) throws SQLException {
		return surveyPersistenceDao.createSurvey(userName);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public Long createSurvey(String userName, String resourceBundleName) throws SQLException {
		return surveyPersistenceDao.createSurvey(userName, resourceBundleName);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public Survey getSurveyRecord(Long surveyId) {
		return surveyPersistenceDao.getSurveyRecord(surveyId);
	}

	/**
	 * {@inheritDoc}
	 */
	public Survey persistSurvey(Survey survey, SessionHistory history)
			throws SQLException {
		return surveyPersistenceDao.persistSurvey(survey, history);
	}

	/**
	 * {@inheritDoc}
	 */
	public void saveResponses(Survey survey, SessionHistory history) {
		surveyPersistenceDao.saveResponses(survey, history);
	}
	
	/**
	 * {@inheritDoc}
	 */
	public int changeSurveyStatus(List<Long> surveyIds, SurveyStatus status) {
		return surveyPersistenceDao.changeSurveyStatus(surveyIds, status);
	}

}
