/**
 * 
 */
package org.jharks.workflow.survey.engine.web;

import java.util.HashMap;
import java.util.Map;

/**
 * A simple map that contans key value pairs that should be appended as request parameters to the redirect
 * url of the PRG pattern.  The processContinuation method will populate this map with the needed request
 * parameters. 
 * 
 * @author Michael J. Rizzo
 */
public class RequestParameterMap {

	/** The map of key value pairs. */
	private Map<String, String> parameterMap;

	/**
	 * Default public constructor.
	 */
	public RequestParameterMap() {
		this.parameterMap = new HashMap<String, String>();
	}
	
	/**
	 * Return the parameter map.
	 * @return the paramter map.
	 */
	public Map<String, String> getParameterMap() {
		return parameterMap;
	}
	
	/**
	 * Add an additional parameter to the map.
	 * @param key the key of the request parameter.
	 * @param value the value for the request parameter.
	 */
	public void addParameter(String key, String value) {
		this.parameterMap.put(key, value);
	}
	
}
