package org.jharks.workflow.survey.engine.web;

import javax.servlet.http.HttpServletRequest;

import org.jharks.workflow.ResponseSet;
import org.jharks.workflow.survey.engine.model.Question;
import org.jharks.workflow.survey.engine.model.QuestionAnswers;
import org.jharks.workflow.survey.engine.model.QuestionGroup;


public interface SurveyAnswerRetriever {

    /**
     * Retrieves the answers to the given questions from the request.
     * 
     * @param questions the questions for which to retrieve the answers.
     * @param sequence the sequence used to create the sequence numbers for the answers.
     * @param request the request from which to retrieve the results.
     * 
     * @return an <CODE>ResponseSet</CODE> instance containing the user's responses to the survey.
     */
    public ResponseSet getAnswers(QuestionGroup group, 
            HttpServletRequest request);
    
    /**
     * Retrieves the answers to the given question and any subquestions for the answerchoices.
     * @param question
     * @param request the request from which to retrieve the results.
     * @return an <CODE>ResponseSet</CODE> instance containing the user's responses to the survey.
     */
    public QuestionAnswers getAnswers(Question question, HttpServletRequest request) ;
}
