package org.jharks.workflow.survey.engine.web;

import org.jharks.workflow.survey.engine.model.ViewFilter;

/**
 * Factory for creating view filters.
 * 
 * @author Michael J. Rizzo
 */
public class ViewFilterFactory {

	/**
	  * Factory method for creation of ViewFilter implementations.
     * @param classname the class name of view flter implementation to be 
     *        instantiated.
     * @return an instance of a <CODE>ViewFilter</CODE> object.
     * @throws ClassNotFoundException if can not find classname specified.
     * @throws IllegalAccessException if the protection on object constructor
     *         is violated.
     * @throws InstantiationException if error occurs while instantiating
     *         the object.
	 */
	public ViewFilter createViewFilter(String classname) throws ClassNotFoundException, 
      IllegalAccessException, 
      InstantiationException {
		return (ViewFilter) Class.forName(classname).newInstance();
	}
	
}
