package org.jharks.workflow.survey.engine.web.spring;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

/**
 * This class provides a nice mechanism to make the Spring context available
 * application wide, even to classes that are not Spring managed.
 * 
 * Use AppContext.getApplicationContext() to get access
 * to all Spring Beans. 
 * 
 * @author Michael J. Rizzo
 */
public class ApplicationContextProvider implements ApplicationContextAware {

	/* (non-Javadoc)
	 * @see org.springframework.context.ApplicationContextAware#setApplicationContext(org.springframework.context.ApplicationContext)
	 */
	public void setApplicationContext(ApplicationContext ctx)
			throws BeansException {
		AppContext.setApplicationContext(ctx);
	}

}
