package org.jharks.workflow.survey.engine.web.struts;

import java.util.Set;
import java.util.Map.Entry;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionRedirect;
import org.jharks.workflow.survey.engine.gui.taglib.PresentationConstants;
import org.jharks.workflow.survey.engine.web.RequestParameterMap;
import org.jharks.workflow.survey.util.HttpRequestUtilities;


/**
 * Action that functions as controller for creating dynamic survey pages.   
 * 
 * @author Michael J. Rizzo
 * @version 1.0
 */
public class SurveyEngineFrontAction extends GenericWorkFlowAction {

	/** The logger instance for the class. */
	private static Logger logger = Logger.getLogger(
			 SurveyEngineFrontAction.class);
	    
	public ActionForward execute(ActionMapping mapping,
	            ActionForm form,
	            HttpServletRequest request,
	            HttpServletResponse response)
	            throws Exception {
			
      if (logger.isDebugEnabled()) {
           logger.debug(" ------------------------------- In SurveyEngineFrontAction");
      }
      
      HttpSession session = request.getSession();
  	  
  	  RequestParameterMap requestParameterMap = null;
  	  
  	  //TODO: Consider only placing on the sessionHistory object.
      Long surveyId = (Long) 
        session.getAttribute(PresentationConstants.SURVEY_ID);
      
      String page = request.getParameter(PresentationConstants.PAGE);
      
      if (page != null && !page.trim().equalsIgnoreCase("")) {

    	String forward = (String) session.getAttribute(PresentationConstants.IS_FORWARD);   
    	boolean isForward = (forward != null)? true: false;
    	session.removeAttribute(PresentationConstants.IS_FORWARD);
        processResetState(page, surveyId, request, response, session, isForward); 
        
        return mapping.findForward("jharksDynamicSurveyPage");
      } else {
    	  
    	String startWorkFlowIndicator = request.getParameter(PresentationConstants.START_WORKFLOW_INDICATOR);
    	if (!HttpRequestUtilities.checkIfParamIsEmpty(startWorkFlowIndicator)) {
    		requestParameterMap = initializeWorkflow(mapping, form, request, response, session);
    	} else {
    	    requestParameterMap = processContinuation(surveyId, request, response, session); 
    	}
      }
      
      if(requestParameterMap.getParameterMap().get(PresentationConstants.PAGE).equalsIgnoreCase(
    		  PresentationConstants.WORKFLOW_END_VIEW)) {
    	  return mapping.findForward(PresentationConstants.WORKFLOW_END_VIEW);
      }
	
      //Implementation of the PRG pattern (POST - redirect - GET).
      //The previous form is posted: data is used to determine workflow navigation
      //and information is persisted.
      //An action redirect is then used to redirect and create a GET url with the important
      //data elements appended to support back browser navigation.
      ActionRedirect ar = new ActionRedirect("/jharksContinueWorkflow.do");
      if (requestParameterMap != null) {
        Set<Entry<String, String>> parameterSet = requestParameterMap.getParameterMap().entrySet();
        for (Entry<String, String> entry : parameterSet) {
			ar.addParameter(entry.getKey(), entry.getValue());
		}
      }
      return ar;
	}
}

