package org.jharks.workflow.survey.util;

/**
 * Utilities class that contains common methods for processign and checking status of parameters on the 
 * HttpRequest object.
 * 
 * @author Michael J. Rizzo
 *
 */
public class HttpRequestUtilities {

	/**
	 * Method that checks whether a request parameter is empty.  Empty is defined as
	 * either the parameter value is null or the parameter value is an empty string.
	 * @param parameterValue the parameter value to checl.
	 * @return true if the parameter values is null ot equal to empty string.
	 */
	public static boolean checkIfParamIsEmpty(String parameterValue) {
		if (parameterValue == null || parameterValue.trim().equals("")) 
			return true;
		
		return false;
	}
	
}
